Qt API | Qtopia API | Qtopia Documentation |

# DeviceButtonManager Class Reference

The DeviceButtonManager class manages device button mappings. More...

`#include <qtopia/devicebuttonmanager.h>`

Inherits QObject.

List of all member functions.

## Public Members

- const QValueList<DeviceButton> & buttons () const
- const DeviceButton * buttonForKeycode ( ushort keyCode )
- void remapPressedAction ( int button_index, const ServiceRequest & action )
- void remapHeldAction ( int button_index, const ServiceRequest & action )
- void factoryResetButtons ()

## Static Public Members

- DeviceButtonManager & instance ()

## Detailed Description

The DeviceButtonManager class manages device button mappings.

The function buttons on a device may generate key presses and also activate services. DeviceButtonManager allows the role of the function buttons to be accessed or modified.

See also Qtopia Classes.

## Member Function Documentation

### const DeviceButton * DeviceButtonManager::buttonForKeycode ( ushort keyCode )

Returns the DeviceButton for the keyCode. If keyCode is not found, it returns 0L

### const QValueList<DeviceButton> & DeviceButtonManager::buttons () const

Returns the available buttons on this device. The number and location of buttons will vary depending on the device. Button numbers will be assigned by the device manufacturer and will be from most preferred button to least preffered button. Note that this list only contains "user mapable" buttons.

### void DeviceButtonManager::factoryResetButtons ()

Reset the buttons back to the factory default settings.

### DeviceButtonManager & DeviceButtonManager::instance ()`[static]`

Returns an instance of the DeviceButtonManager. DeviceButtonManager should never be constructed explicitly.

### void DeviceButtonManager::remapHeldAction ( int button_index, const ServiceRequest & action )

Reassigns the held action for button_index to action.

### void DeviceButtonManager::remapPressedAction ( int button_index, const ServiceRequest & action )

Reassigns the pressed action for button_index to action.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.